import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-hrV27HRW.js';
export { em as ArgumentsType, d6 as AsyncMutex, dr as AsyncReturnType, ab as BinInput, B as BinaryEncoder, n as CRYPTO_DEFAULT_ALG, o as CRYPTO_DEFAULT_DERIVE_ALG, p as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, dY as Channel, dX as ChannelMessageEvent, e9 as CryptoEncoder, aW as DAY_MS, aR as Day, aY as DayInput, aQ as DayInputLegacy, aX as DayValue, bj as DecimalInput, bi as DecimalValue, e2 as DefaultListener, dB as DefaultLogger, bs as Difference, br as DifferenceType, cY as Disposer, cX as DisposerFunction, e4 as Emitter, e0 as EmitterAllHandler, d$ as EmitterHandler, e3 as EmitterSubscriberOptions, e6 as Encoder, bS as FilterFunction, e8 as JsonEncoder, e1 as ListenerSignature, dZ as LocalChannel, dC as LogLevel, dK as LogLevelAlias, dL as LogLevelAliasKey, dD as LogLevelAll, dE as LogLevelDebug, dH as LogLevelError, dI as LogLevelFatal, dF as LogLevelInfo, dJ as LogLevelOff, dG as LogLevelWarn, dM as LogMessage, dP as LoggerConsoleHandler, dQ as LoggerContext, dN as LoggerContextInterface, dW as LoggerMemoryHandler, bT as MapperFunction, eK as MemStorage, eJ as MemStorageOptions, ec as Message, ea as MessageAction, eg as MessageDefinitions, eh as MessageHub, eb as MessageResult, ee as MessagesDefaultMethods, ef as MessagesMethods, ed as MessagesOptions, d5 as Mutex, eQ as NestedArray, e7 as NoopEncoder, da as PoolConfig, dd as PoolTask, de as PoolTaskEvents, db as PoolTaskFn, d9 as PoolTaskIdConflictResolution, dc as PoolTaskState, bw as Primitive, dg as Progress, ek as PubSub, eq as RPCFn, ep as RPCOptions, eo as RPCOptionsBasic, er as RPCReturn, aH as RenderMessagesOptions, en as ReturnType, cg as RoundingMode, du as SerialQueue, cr as SortableItem, dt as TaskEvents, ds as TaskFn, cZ as TimerExecFunction, aP as Uint8ArrayToDataUri, ar as Uint8ArrayToHexDump, aq as Uint8ArrayToJson, af as Uint8ArrayToString, cN as Uint8ArrayToWords, cW as UseDefer, cU as UseDispose, cS as UseDisposeConfig, d4 as UseDisposeWithUtils, eu as UseRPCHubType, cR as XRX, ad as _decodeUtf8Polyfill, ac as _encodeUtf8Polyfill, a0 as _useBase, Z as arrayAvg, _ as arrayBatches, M as arrayEmptyInPlace, I as arrayFilterInPlace, D as arrayFlatten, E as arrayIntersection, R as arrayIsEqual, W as arrayMax, X as arrayMin, z as arrayMinus, V as arrayRandomElement, G as arrayRemoveElement, N as arraySetArrayInPlace, H as arraySetElement, T as arrayShuffle, U as arrayShuffleForce, S as arrayShuffleInPlace, P as arraySorted, Q as arraySortedNumbers, Y as arraySum, F as arraySymmetricDifference, K as arrayToggleInPlace, A as arrayUnion, y as arrayUnique, d as assert, e as assertCondition, c3 as avg, c1 as between, k as bitfield, l as blobToArrayBuffer, aO as blobToDataUri, m as blobToUint8Array, dO as browserSelectColorByName, cJ as cloneJsonObject, cI as cloneObject, cc as cmp, cb as composeOrderby, $ as createArray, j as createBinaryStreamDecoder, i as createBinaryStreamEncoder, d_ as createLocalChannelPair, dh as createPromise, ei as createPromiseProxy, w as csvParse, x as csvParseToObjects, v as csvStringify, aN as dataUriToBlob, aM as dataUriToMimeType, aL as dataUriToUint8Array, aV as dateStringToDays, aU as day, a$ as dayDay, bf as dayDiff, b3 as dayFromAny, b5 as dayFromDate, b6 as dayFromDateGMT, ba as dayFromParts, bb as dayFromString, b8 as dayFromTimestamp, b2 as dayFromToday, bh as dayIterator, a_ as dayMonth, bc as dayMonthStart, be as dayOffset, bg as dayRange, b1 as dayToDate, b4 as dayToDateGMT, b0 as dayToParts, b9 as dayToString, b7 as dayToTimestamp, aZ as dayYear, bd as dayYearStart, dw as debounce, cx as deburr, bk as decimal, bn as decimalCentsPart, bl as decimalFromCents, bm as decimalToCents, a5 as decodeBase16, a3 as decodeBase32, a7 as decodeBase58, a9 as decodeBase62, h as decodeJson, u as decrypt, bo as deepEqual, bq as deepMerge, bp as deepStripUndefinedInPlace, s as deriveKeyPbkdf2, eG as detect, bt as diffObjects, q as digest, eP as duration, cH as empty, a4 as encodeBase16, a2 as encodeBase32, a6 as encodeBase58, a8 as encodeBase62, g as encodeJson, cA as encodeQuery, t as encrypt, ct as endSortWeight, cC as ensureKey, cD as ensureKeyAsync, ao as equalBinary, bu as escapeHTML, cf as escapeRegExp, aa as estimateSizeForBase, f as fatal, ex as fetchBasic, ey as fetchJson, eC as fetchOptionsBasicAuth, eA as fetchOptionsFormURLEncoded, eB as fetchOptionsJson, ez as fetchText, cF as first, aK as fixBrokenUth8String, aS as forEachDay, cM as forTimes, aI as formatMessages, eM as formatMilliseconds, am as fromBase64, an as fromBase64String, av as fromCamelCase, aj as fromHex, eF as getGlobal, dx as getGlobalContext, e5 as getGlobalEmitter, dz as getGlobalLogger, dA as getGlobalLoggerIfExists, dR as getNamespaceFilterString, eE as getNavigator, eO as getPerformanceTimestamp, bY as getSecureRandom, bZ as getSecureRandomIfPossible, eL as getTimestamp, eD as getWindow, ev as httpMethod, dj as immediate, bz as isArray, bG as isBoolean, eH as isBrowser, bL as isEmpty, ci as isEven, ch as isHalf, bE as isInteger, dy as isLocalHost, bM as isNotEmpty, bK as isNotNull, bI as isNull, bH as isNullOrUndefined, bD as isNumber, bx as isObject, c5 as isPrime, c4 as isPrimeRX, by as isPrimitive, dp as isPromise, bA as isRecord, bB as isRecordPlain, bF as isSafeInteger, bC as isString, dl as isTimeout, bO as isTruthy, bJ as isUint8Array, bN as isValue, dV as joinLogStrings, ah as joinToUint8Array, bR as jsonStringify, bQ as jsonStringifySafe, bP as jsonStringifySorted, ap as jsonToUint8Array, cG as last, cy as linkifyPlainText, bW as listDistinctUnion, bV as listGroupBy, bX as listOfKey, bU as listQuery, cK as memoize, cL as memoizeAsync, cu as moveSortWeight, eR as noop, c9 as objectIsEmpty, c7 as objectMap, c8 as objectMergeDisposable, ew as parseBasicAuth, eN as parseDate, dT as parseLogLevel, ca as parseOrderby, cB as parseQuery, dq as promisify, fb as qid, b_ as randomBoolean, c0 as randomFloat, b$ as randomInt, r as randomUint8Array, cQ as regExpEscape, cP as regExpString, aJ as renderMessages, ck as roundDown, cn as roundHalfAwayFromZero, co as roundHalfDown, cp as roundHalfEven, cm as roundHalfOdd, cq as roundHalfTowardsZero, cl as roundHalfUp, cj as roundUp, c6 as seededRandom, f5 as setUuidDefaultEncoding, cE as size, di as sleep, cv as sortedItems, cd as sortedOrderby, cs as startSortWeight, aw as stringToBoolean, ay as stringToFloat, ax as stringToInteger, ae as stringToUInt8Array, f1 as suid, f0 as suidBytes, f3 as suidBytesDate, f2 as suidDate, c2 as sum, dv as throttle, dk as timeout, ak as toBase64, al as toBase64Url, aG as toBool, as as toCamelCase, at as toCapitalize, au as toCapitalizeWords, aD as toFloat, ai as toHex, cz as toHumanReadableUrl, aE as toInt, aF as toString, ag as toUint8Array, ce as toValidFilename, aT as today, dm as tryTimeout, fa as uname, bv as unescapeHTML, d8 as useAsyncMutex, a1 as useBase, cV as useDefer, cT as useDispose, d3 as useDisposeWithUtils, d1 as useEventListener, d2 as useEventListenerOnce, eI as useExitHandler, c$ as useInterval, d0 as useIntervalPause, dU as useLevelFilter, ej as useMessageHub, d7 as useMutex, dS as useNamespaceFilter, df as usePool, el as usePubSub, es as useRPC, et as useRPCHub, cw as useSorted, c_ as useTimeout, f6 as uuid, f4 as uuid32bit, eW as uuidB32, eT as uuidB62, eS as uuidBytes, f7 as uuidDecode, eY as uuidDecodeB32, eV as uuidDecodeB62, e$ as uuidDecodeV4, f8 as uuidEncode, eX as uuidEncodeB32, eU as uuidEncodeB62, e_ as uuidEncodeV4, f9 as uuidIsValid, eZ as uuidv4, az as valueToBoolean, aB as valueToFloat, aA as valueToInteger, aC as valueToString, dn as waitOn, cO as wordsToUint8Array } from './uuid-hrV27HRW.js';

/** @deprecated use fromBase64 instead */
declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

/**
 * Directly use console calls, this has the advantage to show the original source of the call
 * i.e. it is possible to jump right into the code from the browser console logs. But other
 * loggers will not work any more.
 */
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function browserSupportsColors(): boolean;

declare function Logger(name?: string, level?: LogLevelAliasType): LoggerInterface;

export { Json, LocalStorage, type LocalStorageOptions, LogHandler, LogHandlerOptions, LogLevelAliasType, Logger, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, LoggerInterface, ObjectStorage, activateConsoleDebug, browserSupportsColors, gravatarURLByEmail, urlBase64ToUint8Array };
